format = """
  $battery $username $localip$hostname 󰍴 $directory$git_branch$git_metrics$git_status$docker_context$python$java$package
  $cmd_duration $character
"""

palette = 'dune'

[palettes.dune]
white = '#edc190'
bright_orange = '#f2b065'
orange = '#f49b35'
red = '#ea4504'
brown = '#a02401'

# NOT USED RIGHT NOW
[time]
disabled = false
format = '[](yellow) [\[ $time \]](yellow) '
time_format = '%T'
utc_time_offset = '+2'
#time_range = '10:00:00-14:00:00'

[battery]
charging_symbol = '󰂄'
full_symbol = '󰁹'
discharging_symbol = '󰂃'
format = '[$symbol]($style)'
[[battery.display]]
threshold = 100
style = 'green'
[[battery.display]]
threshold = 50
style = 'yellow'
[[battery.display]]
threshold = 30
style = 'red'

[hostname]
ssh_only = true
format = ' [$ssh_symbol$hostname]($style)'
style = 'orange'
ssh_symbol = "󰇧"
disabled = false

[localip]
ssh_only = false
format = '[$localipv4](#6ac5cc)'
disabled = false

[username]
style_user = "blue bold"
style_root = "red bold"
format = "[]($style)"
disabled = false
show_always = true

[character]                            
success_symbol = "[](bold white)"     
error_symbol = "[✗](bold red)"

[directory]
read_only = " "
truncation_length = 10
truncate_to_repo = true # truncates directory to root folder if in github repo
style = "bold italic bright_orange"

[cmd_duration]
min_time = 4
show_milliseconds = true
format = '[$duration]($style)'
disabled = false
style = "bold italic red"

[docker_context]
symbol = " "
format = "via [$symbol$context]($style) "
style = "blue bold"
only_with_files = true
detect_files = ["docker-compose.yml", "docker-compose.yaml", "Dockerfile"]
detect_folders = []
disabled = false

[git_branch]
symbol = " "

[git_status]
diverged = '⇕⇡${ahead_count}⇣${behind_count}'
format = "[${ahead_behind}$staged$untracked$conflicted](purple) "
disabled = false

[git_metrics]
added_style = 'green'
deleted_style = 'red'
format = '[+$added]($added_style)[ / ](purple)[-$deleted]($deleted_style) '
disabled = false

[java]
symbol = " "

[package]
symbol = "󰏗 "

[python]
symbol = " "
#pyenv_version_name = true
format = 'via [${symbol}python (${version} )(\($virtualenv\) )]($style)'
style = "bold yellow"
pyenv_prefix = "venv "
python_binary = ["./venv/bin/python", "python", "python3", "python2"]
detect_extensions = ["py"]
version_format = "v${raw}"
